# Uses of Class
org.eclipse.birt.report.engine.api.script.element.ScriptAPIFactory

Packages that use ScriptAPIFactory
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of ScriptAPIFactory in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return ScriptAPIFactory
Modifier and Type
Method
Description
`static ScriptAPIFactory`
ScriptAPIFactory.`getInstance()`
Deprecated.
Returns the ODAProviderFactory instance.